| EM datagrams on *.kmall format Reg.no. 410224 rev F

Data Fields
EMdgmScommon_def Struct Reference

Sensor (S) output datagram - common part for all external sensors. More...

`#include <EMdgmFormat.h>`

## Data Fields
uint16_t | numBytesCmnPart
uint16_t | sensorSystem
uint16_t | sensorStatus
uint16_t | padding

## Detailed Description

Sensor (S) output datagram - common part for all external sensors.

Definition at line 124 of file EMdgmFormat.h.

## Field Documentation

## ◆ numBytesCmnPart

uint16_t numBytesCmnPart

Size in bytes of current struct. Used for denoting size of rest of datagram in cases where only one datablock is attached.

Definition at line 126 of file EMdgmFormat.h.

## ◆ sensorSystem

uint16_t sensorSystem

Sensor system number, as indicated when setting up the system in K-Controller installation menu. E.g. position system 0 referes to system POSI_1 in installation datagram #IIP. Check if this sensor system is active by using #IIP datagram.
#SCL - clock datagram:

Bit number | Sensor system
--- | ---
0 | Time syncronisation from clock data
1 | Time syncronisation from active position data
2 | 1 PPS is used

Definition at line 127 of file EMdgmFormat.h.

## ◆ sensorStatus

uint16_t sensorStatus

Sensor status. To indicate quality of sensor data is valid or invalid. Quality may be invalid even if sensor is active and the PU receives data. Bit code vary according to type of sensor.
Bits 0 -7 common to all sensors and #MRZ sensor status:

Bit number | Sensor data –
--- | ---
0 | 0 = Data OK 1 = Data OK and sensor is chosen as active #SCL only: 1 = Valid data and 1PPS OK
1 | 0
2 | 0 = Data OK 1 = Reduced performance #SCL only: 1 = Reduced performance, no time synchronisation of PU
3 | 0
4 | 0 = Data OK 1 = Invalid data
5 | 0
6 | 0 = Velocity from sensor 1 = Velocity calculated by PU
7 | 0

For #SPO (position) and CPO (position compatibility) datagrams, bit 8 - 15:

Bit number | Sensor data –
--- | ---
8 | 0
9 | 0 = Time from PU used (system) 1 = Time from datagram used (e.g. from GGA telegram)
10 | 0 = No motion correction 1 = With motion correction
11 | 0 = Normal quality check 1 = Operator quality check. Data always valid
12 | 0
13 | 0
14 | 0
15 | 0

Definition at line 138 of file EMdgmFormat.h.

The documentation for this struct was generated from the following file:

- EMdgmFormat.h